package com.cool.store.enums;

/**
 * @author zhangchenbiao
 * @FileName: FollowTaskStatusEnum
 * @Description:
 * @date 2023-08-10 10:47
 */
public enum FollowTaskStatusEnum {

    TODO(0, "待完成"),
    FINISHED(1, "已完成"),
    OVERDUE(2, "已逾期"),
    CANCELLED(3, "作废"),
    OVERDUE_FINISH(4, "逾期完成"),
    OVERDUE_CANCELLED(5, "逾期作废"),
    ;
    //任务状态:0:待完成、1:已完成、2:已逾期、3:作废

    private Integer code;

    private String remark;

    FollowTaskStatusEnum(Integer code, String remark) {
        this.code = code;
        this.remark = remark;
    }

    public Integer getCode() {
        return code;
    }

    public String getRemark() {
        return remark;
    }
}
